V1MeMood
Your private mood history and categorical summaries
Authorization
bearer AuthorizationBearer <token>
In: header
Query Parameters
days?number
Default
7timeZone?string
Length
1 <= length <= 128Default
"Asia/Kuala_Lumpur"cursor?string
Match
^[A-Za-z0-9_-]+$Length
length <= 512Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/me/mood"{ "entries": [ { "mood": "awful", "factors": [ "work" ], "note": "string", "effectiveAt": "2019-08-24T14:15:22Z", "timeZone": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "version": 1, "recordedAt": "2019-08-24T14:15:22Z" } ], "nextCursor": "string", "generatedAt": "2019-08-24T14:15:22Z", "days": [ { "date": "2019-08-24", "mood": "awful" } ], "checkIns": 0, "mostOften": "awful", "topFactor": "work"}